# Element Summary

Element | Description | Class
--- | --- | ---
component | Smpp Component | org.apache.servicemix.smpp.SmppComponent
consumer | A polling component which bind with jSMPP and receive SMPP messages and sends the SMPPs into the JBI bus as messages. | org.apache.servicemix.smpp.SmppConsumerEndpoint
provider | A provider component receives XML message from the NMR and converts into SMPP packet and sends it to SMS. | org.apache.servicemix.smpp.SmppProviderEndpoint

# Element Detail

## Element: component

Element | Type | Description
--- | --- | ---
endpoints | (consumer | provider)* | Getter on the component endpoints
executorFactory | <spring:bean/> | The executor factory to use to create the executor. If none is provided, one will be retrieved from the JBI container when the component is deployed into ServiceMix 3.x, or a default implementation will be used.

## Element: consumer

Attribute | Type | Description
--- | --- | ---
endpoint | xs:string | Get the endpoint implementation.
enquireLinkTimer | xs:integer | This attribute specifies the enquire link timer defining the SMSC time interval. The default value is 50000
host | xs:string | This attribute specifies the host name to use for connecting to the server. The default value is null
interfaceName | xs:QName | Get the qualified name of the endpoint interface.
password | xs:string | This attribute specifies the password to use for connecting to the server. The default value is null
port | xs:integer | This attribute specifies the port number to use for connecting to the server. The default value is 2775
service | xs:QName | Get the service qualified name of the endpoint.
systemId | xs:string | This attribute specifies the system id to use for connecting to the server. The default value is null
systemType | xs:string | This attribute specifies the system type that will be used for connecting to the server. The default value is cp
targetEndpoint | xs:string | the name of the endpoint to which requests are sent
targetInterface | xs:QName | the QName of the interface to which requests are sent
targetOperation | xs:QName | the QName of the operation to which requests are sent
targetService | xs:QName | the QName of the service to which requests are sent
targetUri | xs:string | Gets the target URI of the consumer endpoint.
transactionTimer | xs:integer | This attribute specifies the transaction timer defining the SMSC timeout. The default value is 100000

Element | Type | Description
--- | --- | ---
marshaler | <spring:bean/> | With this method you can specify a marshaler class which provides the logic for converting a sms message into a normalized message. This class has to implement the interface class `SmppMarshaler`. If you don't specify a marshaler, the `DefaultSmppMarshaler` will be used.

## Element: provider

Attribute | Type | Description
--- | --- | ---
endpoint | xs:string | Get the endpoint implementation.
enquireLinkTimer | xs:integer | This attribute specifies the enquire link timer defining the resend time interval. The default value is 50000 milliseconds
host | xs:string | This attribute specifies the host name to use for connecting to the server. The default value is null
interfaceName | xs:QName | Get the qualified name of the endpoint interface.
password | xs:string | This attribute specifies the password to use for connecting to the server. The default value is null
port | xs:integer |
service | xs:QName | Get the service qualified name of the endpoint.
systemId | xs:string | This attribute specifies the system id to use for connecting to the server. The default value is null
systemType | xs:string | This attribute specifies the system type that will be used for connecting to the server. The default value is cp
transactionTimer | xs:integer | This attribute specifies the transaction timer defining the maximum lifetime of a message. The default value is 100000 milliseconds

Element | Type | Description
--- | --- | ---
marshaler | <spring:bean/> | With this method you can specify a marshaler class which provides the logic for converting a sms message into a normalized message. This class has to implement the interface class `SmppMarshaler`. If you don't specify a marshaler, the `DefaultSmppMarshaler` will be used.